com.abbyy.mobile.rtr

## Interface IImageCaptureService

- All Superinterfaces:
    IRecognitionService

      public interface IImageCaptureService
      extends IRecognitionService

  An image capture service interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IImageCaptureService.Callback` A callback interface to interact with the image capture service: input the data and obtain the results.
    `static interface` | `IImageCaptureService.ExtendedSettings` Extended service configuration settings.
    `static class` | `IImageCaptureService.QualityAssessmentForOcrBlock` Quality assessment block
    `static class` | `IImageCaptureService.QualityAssessmentForOcrBlockType` Type of quality assessment block
    `static class` | `IImageCaptureService.Result` Capture result
    `static class` | `IImageCaptureService.Status` Capture status

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `IRecognitionService.DebugLog, IRecognitionService.ResultStabilityStatus, IRecognitionService.Warning`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IImageCaptureService.ExtendedSettings` | `getExtendedSettings()` Extended service configuration settings.
    `void` | `setAspectRatioMax(float maxValue)` Sets maximum acceptable value for document's aspect ratio.
    `void` | `setAspectRatioMin(float minValue)` Sets minimum acceptable value for document's aspect ratio.
    `void` | `setDocumentSize(float width, float height)` Sets the physical size of the document to be captured.
    `void` | `setNumberOfBestFramesToCollect(int numberOfBestFrames)` Number of frames with the highest quality to collect during capture.

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `setAreaOfInterest, setDebugLog, start, stop, submitFrame, submitFrame, submitRequestedFrame`

- - ### Method Detail

    - #### setDocumentSize

          void setDocumentSize(float width,
                               float height)

      Sets the physical size of the document to be captured.

      If the physical size of the document being captured is known, setting this parameter will help to improve document boundary detection accuracy. Will allow to detect document orientation during capture. Will preserve aspect ratio after crop. Will allow to automatically calculate image resolution before export

      Parameters:
        `width` - the width of the document in millimeters
        `height` - the height of the document in millimeters

    - #### setAspectRatioMin

          void setAspectRatioMin(float minValue)

      Sets minimum acceptable value for document's aspect ratio. The aspect ratio is expected to be greater than or equal to 1 (or 0 if not set) If only maximum is set, minimum will be assumed to be 1. The default value is 0 (not set) and the aspect ratio is defined by DocumentSize.
      Parameters:
        `minValue` - minimum acceptable value for document's aspect ratio

    - #### setAspectRatioMax

          void setAspectRatioMax(float maxValue)

      Sets maximum acceptable value for document's aspect ratio. The aspect ratio is expected to be greater than or equal to 1 (or 0 if not set) If only minimum is set, maximum will be assumed to be infinity. The default value is 0 (not set) and the aspect ratio is defined by DocumentSize.
      Parameters:
        `maxValue` - maximum acceptable value for document's aspect ratio

    - #### setNumberOfBestFramesToCollect

          void setNumberOfBestFramesToCollect(int numberOfBestFrames)

      Number of frames with the highest quality to collect during capture. The default is 0, meaning no additional frames are collected.

    - #### getExtendedSettings

          IImageCaptureService.ExtendedSettings getExtendedSettings()

      Extended service configuration settings. Settings for advanced users. Not used in typical scenarios
      Specified by:
        `getExtendedSettings` in interface `IRecognitionService`
      Returns:
        extended service configuration settings